Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZForumMessage Member List

This is the complete list of members for eZForumMessage, including all inherited members.

$Age | eZForumMessage |
$Body | eZForumMessage |
$Depth | eZForumMessage |
$EmailNotice | eZForumMessage |
$ForumID | eZForumMessage |
$ID | eZForumMessage |
$IsApproved | eZForumMessage |
$IsTemporary | eZForumMessage |
$Keywords | eZForumMessage |
$ParentID | eZForumMessage |
$PostingTime | eZForumMessage |
$ThreadID | eZForumMessage |
$Topic | eZForumMessage |
$TreeID | eZForumMessage |
$UserID | eZForumMessage |
$UserName | eZForumMessage |
__construct( $id="") | eZForumMessage |
age() | eZForumMessage |
body() | eZForumMessage |
cloneObject() | eZForumMessage |
countMessages( $ID) | eZForumMessage | static
countReplies( $ID) | eZForumMessage | static
createIndex() | eZForumMessage | private
delete() | eZForumMessage |
depth() | eZForumMessage |
disableEmailNotice() | eZForumMessage |
emailNotice() | eZForumMessage |
enableEmailNotice() | eZForumMessage |
forumID() | eZForumMessage |
get( $id="") | eZForumMessage |
getAll() | eZForumMessage |
getAllTemporary() | eZForumMessage |
getAllUnApproved( $Offset=0, $Limit=10) | eZForumMessage |
id() | eZForumMessage |
isApproved() | eZForumMessage |
isTemporary() | eZForumMessage |
lastMessages( $limit, $user=false, $userid=false) | eZForumMessage | static
name() | eZForumMessage |
parent() | eZForumMessage |
postingTime() | eZForumMessage |
setBody(&$newBody) | eZForumMessage |
setEmailNotice( $newEmailNotice) | eZForumMessage |
setForumID( $newForumID) | eZForumMessage |
setIsApproved( $value) | eZForumMessage |
setIsTemporary( $value) | eZForumMessage |
setParent( $newParent) | eZForumMessage |
setTopic(&$newTopic) | eZForumMessage |
setUserID( $newUserID) | eZForumMessage |
setUserName( $username) | eZForumMessage |
store() | eZForumMessage |
threadID() | eZForumMessage |
threadMessageCount( $threadID) | eZForumMessage | static
threadTop(&$msg) | eZForumMessage |
topic( $htmlchars=true) | eZForumMessage |
treeID() | eZForumMessage |
unApprovedCount() | eZForumMessage |
user() | eZForumMessage |
userID() | eZForumMessage |
userName() | eZForumMessage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.